POST V1/ProAdminAccountReceivables.{ext}/workLoadDetails

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.workload
NameDescriptionTypeAdditional information
shift

No description available

string

None.

employee

No description available

string

None.

client

No description available

string

None.

utilityType

No description available

string

None.

engagementType

No description available

string

None.

isPeriodSelected

No description available

boolean

None.

fromDate

No description available

string

None.

toDate

No description available

string

None.

fromMonth

No description available

string

None.

fromYear

No description available

string

None.

toMonth

No description available

string

None.

toYear

No description available

string

None.

tabSelected

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "shift": "sample string 1",
  "employee": "sample string 2",
  "client": "sample string 3",
  "utilityType": "sample string 4",
  "engagementType": "sample string 5",
  "isPeriodSelected": true,
  "fromDate": "sample string 7",
  "toDate": "sample string 8",
  "fromMonth": "sample string 9",
  "fromYear": "sample string 10",
  "toMonth": "sample string 11",
  "toYear": "sample string 12",
  "tabSelected": "sample string 13"
}

application/xml, text/xml

Sample:
<workload xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <client>sample string 3</client>
  <employee>sample string 2</employee>
  <engagementType>sample string 5</engagementType>
  <fromDate>sample string 7</fromDate>
  <fromMonth>sample string 9</fromMonth>
  <fromYear>sample string 10</fromYear>
  <isPeriodSelected>true</isPeriodSelected>
  <shift>sample string 1</shift>
  <tabSelected>sample string 13</tabSelected>
  <toDate>sample string 8</toDate>
  <toMonth>sample string 11</toMonth>
  <toYear>sample string 12</toYear>
  <utilityType>sample string 4</utilityType>
</workload>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.